# /etc/logrotate.conf
#
# ::do_not_edit::
# ::maintainer::
#
# defaults for logrotate job
# see "man logrotate" for details

# frequency
::syslog.rotate_freq::

# max size
# 2012.04.20 kanna - disabled because don't work as expected: max size
#   and timespecs are considered in AND and not in OR test
#
#size ::syslog.rotate_size::

# to avoid unnecessary cluttering
minsize ::syslog.minsize::

# how many old files to keep
rotate ::syslog.rotate_num::

# create new (empty) log files after rotating old ones
create

# compress it (damn!) and delay compression (safer)
compress
delaycompress

# packages drop log rotation information into this directory
include /etc/logrotate.d

# no packages own wtmp, or btmp -- we'll rotate them here
/var/log/wtmp {
    missingok
    create 0664 root utmp
    rotate 1
}

/var/log/btmp {
    missingok
    create 0660 root utmp
    rotate 1
}
